<template>
  <div class="search">
    <cmp-input v-model="query" /><cmp-button>Search</cmp-button>
  </div>
</template>

<script>
import CmpInput from "./Input";
import CmpButton from "./Button";

export default {
  name: "Search",
  components: {
    CmpInput,
    CmpButton
  },
  data() {
    return {
      query: ""
    };
  }
};
</script>

<style lang="scss">
.search {
  display: inline-flex;
  flex-direction: row;
  width: 500px;

  .input {
    flex: 1 1 auto;
  }

  .button {
    flex: 0 0 100px;
  }
}
</style>
